### Signal

# RB DisplayPageModel::drop-received

#### Declaration

    void
    drop_received (
      RBDisplayPageModel* self,
      RBDisplayPage* target,
      gint pos,
      gpointer data,
      gpointer user_data
    )

#### Description [src]

Emitted when a drag and drop operation to the display page tree completes.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`target`

  Type: `RBDisplayPage`

  The `RBSource` receiving the drop.

  The data is owned by the caller of the function.

`pos`

  Type: `gint`

  The drop position.

`data`

  Type: `gpointer`

  The drop data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.